%global sfincb %{_datadir}/shellfu/include-bash
%global sfmodn __SHELLFU_MODNAME__
%global shellfu_req shellfu >= __SHELLFU_VREQ_LO__, shellfu < __SHELLFU_VREQ_HI__
%global jat_req shellfu-bash-jat >= 0.0.1, shellfu-bash-jat < 0.1.0
%if ( 0%{?rhel} && 0%{?rhel} < 7 ) || ( 0%{?centos} && 0%{?centos} < 7 )
%global rhel6 true
%else
%global rhel6 false
%endif


Name:       __MKIT_PROJ_PKGNAME__
Version:    __MKIT_PROJ_VERSION__
Release:    1%{?dist}
Summary:    __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:        __MKIT_PROJ_VCS_BROWSER__
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch

Requires: %shellfu_req
Requires: %jat_req
Requires: shellfu-bash-dist
Requires: shellfu-bash-pxpath
Requires: shellfu-sh-coerce
%description
__SHELLFU_MODDESC__

%if %{rhel6} == "true"
%package el6toel7-dummyreq
Requires: liblogin.so.2()(64bit)
Requires: attrs.so()(64bit)
Requires: perl
Requires: compat-expat1
Requires: libXcomposite
Requires: MAKEDEV
Requires: samba4-dc
Requires: compat-gcc-34-g77
Summary: Dummy package for preupgrade-assistant-el6toel7 tests
%description el6toel7-dummyreq
__SHELLFU_MODDESC__

This is a dummy package used in some preupgrade-assistant-el6toel7
tests.  The only reason it exists is to have particular set of
requirements.
%endif

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr
%if %{rhel6} == "false"
/bin/rm %{buildroot}/%{_docdir}/%{name}/dummy.md
%endif

%files
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/builtins
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/README.md
%{_datadir}/%{name}/builtins/3rdparty.mdef
%{_datadir}/%{name}/builtins/error.mdef
%{_datadir}/%{name}/builtins/failed.mdef
%{_datadir}/%{name}/builtins/fixed.mdef
%{_datadir}/%{name}/builtins/informational.mdef
%{_datadir}/%{name}/builtins/needs_action.mdef
%{_datadir}/%{name}/builtins/needs_inspection.mdef
%{_datadir}/%{name}/builtins/not_applicable.mdef
%{_datadir}/%{name}/builtins/pass.mdef
%{sfincb}/%{sfmodn}.sh
%{sfincb}/%{sfmodn}_fupath.sh
%{sfincb}/%{sfmodn}_upath.sh

%if %{rhel6} == "true"
%files el6toel7-dummyreq
%doc %{_docdir}/%{name}/dummy.md
%endif

%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
